# Uses of Enum Class
com.ocient.jdbc.XGResultSet.Option

Packages that use XGResultSet.Option
Package
Description
com.ocient.jdbc

## Uses of XGResultSet.Option in com.ocient.jdbc

Methods in com.ocient.jdbc that return XGResultSet.Option
Modifier and Type
Method
Description
`static XGResultSet.Option`
XGResultSet.Option.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XGResultSet.Option[]`
XGResultSet.Option.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.jdbc with parameters of type XGResultSet.Option
Modifier and Type
Method
Description
`CompletionStage<CompletableFutures.SQLResult<ResultSet>>`
XGStatement.`fetchSystemMetadataResultSet(ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall call, String schema, String table, String col, boolean test, XGResultSet.Option... options)`
`static CompletionStage<CompletableFutures.SQLResult<XGResultSet>>`
XGResultSet.`initResultSetMetadata(XGConnection conn, int fetchSize, XGStatement stmt, ClientWireProtocol.ResultSet data, XGResultSet.Option... options)`
Initializes a new `XGResultSet` object and returns a CompletionStage that completes when the result set's metadata has been retrieved from the server and completes with an exceptional `CompletableFutures.SQLResult` on failure.
Constructors in com.ocient.jdbc with parameters of type XGResultSet.Option
Modifier
Constructor
Description
``
`XGResultSet(XGConnection conn, XGResultSet.OcientResultSetMetadata md, List<List<Object>> rs, XGStatement stmt, RowTransformerFactory rowTransformerFactory, XGResultSet.Option... options)`
Constructs a new XGResultSet object with the given parameters.